import { useCallback, useState } from "react"
import { StyleSheet, ScrollView, RefreshControl } from "react-native"

import DeviceListItem from "./DeviceListItem"

export default function DeviceList(props) {
    return (
        <ScrollView
            contentContainerStyle={styles.container}
            refreshControl={
                <RefreshControl onRefresh={props.onRefresh} />
            }
        >
            {
                props.devices.map(device => {
                    return (
                        <DeviceListItem key={device.id} device={device}></DeviceListItem>
                    )
                })
            }
        </ScrollView>
    )
}

const styles = StyleSheet.create({
    container: {
        width: "100%",
        minHeight: "100%",
        gap: 10,
        padding: 10
    }
});